Welcome to WRQ Reflection

Reflection Interactive Installation Program Help

Welcome to WRQ Reflection

Welcome to the Reflection Interactive Installation program. Use this screen to install Reflection, browse the Reflection product CD, view the available documentation, and visit WRQ Reflection's web site.

Each button gives you a different installation option:

· Install Reflection: Install Reflection to a workstation or shared network point.

· Documentation: View a manual.

· Learn more about WRQ : Research WRQ and available products using this link to the WRQ web site.

· Change install language: Choose a different language in which to install.

· Browse CD: View the folder layout of the product CD in Windows Explorer.

Related Topics


Install Reflection screen

Reflection Interactive Installation Program Help

Install Reflection

Use this screen to view available products and install them, and to view the product Readme. When you select a product to install you can choose to install the product using either an Administrative Installation or a Workstation Installation type.

To begin installing a product, follow these steps:

1 Select the product you want to install.

2 Click one of these options:

· Administrative Install: The entire product is installed to a network or web server location. Workstation installations can then be performed from that location.

· Workstation Install: The product (specifically those features you choose) is installed to the hard disk on your PC.

3 The Reflection Installer Wizard appears. Follow the instructions in each screen for a successful installation of Reflection.


Documentation screen

Reflection Interactive Installation Program Help

Documentation

This screen lets you view a list of product manuals, in Portable Document Format (PDF), that you can view and print using Adobe Reader. You can also view the product Readme that contains late-breaking information about your Reflection product.

To view a manual or the product Readme follow these steps:

1 Select the manual you want to view, for example WRQ Reflection Installation Guide.

2 Click View Manual. Adobe Reader will start and load the file.

If you do not have Adobe Reader installed on your PC, follow these steps to install this product:

1 Click Install Adobe Reader.

2 Your browser opens to the Adobe download site where you can download the Adobe Reader without charge. Follow the instructions at the Adobe site for a successful download.

Tip

· Descriptions of the manuals are available by selecting the manual or document and viewing the descriptive information in the lower half of the panel.


Learn More About WRQ screen

Reflection Interactive Installation Program Help

Learn More About WRQ

Use this screen to view information about WRQ. Click www.wrq.com to open your browser and display the WRQ web site. Use the links at this web page to learn more about your product, support options, and additional information about WRQ.


Change Install Language screen

Reflection Interactive Installation Program Help

Change Install Language

Use this screen to switch from the current language this program is displayed in to another, supported language. You can choose to switch to English, French, German, or Japanese.

When you select a different language, the installation program automatically returns to the Welcome to Reflection home panel in the language you have selected.


Installation requirements

Installing Reflection

Installation Requirements

This topic provides a list of requirements for support of selected features in Reflection version 13.0.

Operating System:

· Windows XP

· Windows Server 2003

· Windows 2000 Server or Workstation

Privileges to install the Reflection product:

· You must have Administrative Rights or have your system administrator enable the Elevated Privileges policy in order to install the Reflection product.

Web Browser:

· If you intend to run Reflection in a web browser (that is, use Reflection as an ActiveX control), you need Microsoft Internet Explorer version 4.0 or higher, Netscape Navigator version 4.0 Gold or higher, or Netscape Communicator 4.0 or higher.

· If you intend to export settings from Reflection in XML format, you need either Microsoft Parser 3.0 with Microsoft Internet Explorer version 5.0 or higher, or Internet Explorer version 6.0.
Note: Reflection will not install the Microsoft XML feature unless Internet Explorer version 4.0 with service pack 2 or higher is detected on your machine.

Metering of Reflection Products:

· Optional metering support requires the Reflection Administrator Metering Server. You must then configure the Reflection workstations to report to the server using the Set Client Metering Options dialog box.

Installing this product using Systems Management Server (SMS)

· Support for Microsoft Systems Management Server (including SMS 2003) is included in the form of a Systems Management Server (.sms) file Reflection can create for you. Consult the Reflection Customization Manager help (installed with the Reflection Administrator's Toolkit) and your Windows Installer documentation for loading and running these files under SMS.

Media Application Server (MAS):

· Support for MAS requires Microsoft DirectX version 8.1 or higher. Reflection will not install MAS if this version is not detected on your machine.


Support for Install on Demand

Installing Reflection

Support for Install on Demand

Installation on demand is a feature of the Microsoft Windows installer that is supported under Windows XP and Windows 2000.

What is Install on Demand?

With Microsoft Windows Installer (MSI) you have the option of advertising products and features. This means the files required for a feature are not installed to the hard drive until needed, typically when a Start menu shortcut or document associated with the application require the use of the feature. When this happens, the Windows Installer service installs the needed files and the application starts. This is known as Install on First Use, Install on Demand, or, in the case of Reflection, Install when Required. This option can be used at either a product level or a feature level.
Tip: You can quickly determine if a Reflection feature supports Install when Required by performing a Custom installation and clicking the feature in question. If the "Feature will be installed when required" selection is shown, then the feature supports this installation type.

Using the Install on Demand Option

When you use the Install on Demand option to install a Reflection feature, keep in mind that:

· Best practice is to install from an administrative installation point.

· Some features do not have Start menu (or other) shortcuts. For example, the Visual Basic for Applications feature will install from "within" Reflection when you click a command requiring VBA from a Reflection menu.

· The end user can still use Add/Remove Programs in Control Panel to install a feature (where this functionality is available to the end user).

Alternatives to Installing on Demand

If you need to provide users with access to features that are not available on demand, you have two options:

· Choose a different installation option (for example "Will be installed on local hard drive" or "Will be installed to run from network") for the Reflection feature.

· After the initial installation, add Reflection products and features using Add/Remove Programs in Control Panel.


Reflection Administrator's Toolkit

Installing Reflection

Reflection Administrator's Toolkit

Reflection administrative applications and utilities are available in the Reflection Administrator's Toolkit. This administrative toolkit is a stand-alone installation and will install the administrative components to a different folder than your Reflection product folder.

These administrative components are installed to C:\Program Files\WRQ\Rtoolkit by default, and include:

· Reflection Customization Manager

· All Reflection Profilers.

· Group Policy support in the form of an administrative template file.

· Certain *.dll and initialization files required by the administrative applications.

To install Reflection Administrator's Toolkit, follow these steps:

1 Place the Reflection product CD in the PC's CD-ROM drive. On most systems the installation program (Install.exe) will start automatically.

2 Click Install Reflection.

3 In the Install Reflection panel, click Reflection Administrator's Toolkit, then click WorkstationIinstall.

4 The installation begins. When you are asked to specify your installation folder, do not choose your current Reflection folder (this is a requirement). Instead, accept the default or another local folder of your choosing.

Once the Administrator's Toolkit component is installed, you can access the various utilities from the Windows Start button by pointing to Programs, then WRQ Reflection, and then the Administrative Tools folder. In this folder you will find the Reflection Profilers and Reflection Customization Manager. For Group Policy support, open your Policy Editor and select the adm file from the \Inf folder. For more information, see the Reflection product online help.


Reflection Customization Manager

Installing Reflection

Reflection Customization Manager Overview

Reflection Customization Manager is a powerful utility that can help system administrators make preparing, customizing, and distributing Reflection as simple as possible. Use it to prepare an installation on a file or web server and optionally customize Reflection prior to distributing the product to Reflection users. Customization Manager can create Windows Installer-compatible transforms that work with the Reflection product installation package file to install customized versions of Reflection. Use any Installer-compatible deployment tool such as Active Directory or SMS to deploy the product, or have Customization Manager create a Windows shortcut or web page with a link that, when made available to the end user, can initiate one-click installation of the product at the workstation.

Customization Manager can be installed by following the steps in the Reflection Administrator's Toolkit help topic (click the link to view this procedure).


Viewing and printing the Reflection Installation guide

Installing Reflection

Viewing and Printing the Reflection Installation Guide

The Reflection Installation Guide is available both in printed form from WRQ and in a Portable Document Format (PDF) version on the product CD. You can also visit the web page support.wrq.com/manuals/ to download the PDF (Portable Document Format) version of WRQ's product manuals. (Note that, while the Installation Guide is available in English, French, German, and Japanese, most other manuals are available in English language only.)

If you want to view and/or print this guide, open the guide in Adobe Reader using the instructions below:

1 Place the Reflection product CD in the PC's CD-ROM drive. On most systems the installation program (Install.exe) will start automatically.

2 Click Documentation and, in the panel that appears, select WRQ Reflection Installation Guide.

3 Click View Manual to open the manual in Adobe Reader.

Note: If you do not have Adobe Reader installed on your machine, click Install Adobe Reader to visit Adobe's site and download the latest version of this free viewing application.


Administrative privileges required

Installing Reflection: Troubleshooting Installation

Administrative Privileges Required

Privileges required under Windows XP, Windows Server 2003, or Windows 2000 Server or Workstation

You must have Administrative Rights to install Reflection or have the system administrator enable the Elevated Privileges policy to install the product under these operating systems.


Contacting WRQ

WRQ Help

Contacting WRQ

WRQ is committed to high-quality technical support. We know that the success of your enterprise depends on keeping your information systems running smoothly—and your software is a key component. We provide a variety of support options to help maximize your effectiveness and minimize your costs:

Help on the support web site

If you have a question about your WRQ Reflection product, technical support information is available on our web site, http://support.wrq.com.

In the U.S. or Canada

If you purchased a maintenance plan for your product, you are entitled to request support from the WRQ technical support team. Call (206) 217-7000, or submit a request on our web site.

Our web site also provides information about WRQ's support programs. To find out whether your company qualifies for Premium Support, contact your WRQ Authorized Reseller or WRQ Sales (800.872.2829).

Outside the U.S. and Canada

For technical support outside or the U.S., click the appropriate support link on support.wrq.com.

Technical Documentation

Visit the web page support.wrq.com/manuals/ to download the PDF (Portable Document Format) version of our WRQ product manuals. (Most manuals are in English only.)

WRQ’s web site

To learn more about WRQ, Inc. and our product line, see www.wrq.com.

Customer Service

If you have questions about a WRQ product, use the following addresses and phone numbers to contact us.

WRQ Corporate Headquarters

1500 Dexter Avenue North

Seattle, WA 98109 USA

+1.206.217.7100

800.872.2829

European Headquarters

The Netherlands

+31.71.368.11.11

+31.71.368.11.81 FAX

Asia Pacific Headquarters

Singapore

+65.6336.3122

+65.6336.5233 FAX


Administrative Installation

Use the Administrative Installation option to place a copy of Reflection on a file server for use by machines networked to this server. End users can install to their local machines from the Administrative installation. You can customize end-user installations by creating transform files using Reflection Customization Manager. To do this you will need to perform a Workstation Installation type of the WRQ Reflection Administrator's Toolkit to the administrator's machine, then run Reflection Customization Manager from that machine.


What is a feature?

Feature

A feature is an installable product or component, usually having subfeatures listed below it that you can view by clicking the "X" next to the feature box.


Installation method

The installation method determines if the entire feature will be installed on your hard disk (local hard drive) or on a file server (run from network).


Windows Installer

Microsoft Windows Installer is an installation program included in Windows XP and Windows 2000. The program lets you select features and default options for your installation.


Portable Document Format (PDF) files

PDF files

Electronic PDF manuals contain the same information as printed manuals with the added advantage of providing the information without the bulk and environmental issues related to a printed booklet. You can use Adobe Reader to view and print these manuals. Click here for more information.


Workstation Installation

The Workstation Installation option is used when you want to install a stand-alone copy of Reflection to a single machine or when a system administrator needs a local copy of Reflection to use Reflection features and the Administrator's Toolkit to configure a server-based copy of Reflection installed using the Administrative Installation option.

Installing Reflection to a workstation from an Administrative Installation on the network:

A Workstation Installation is different from a "Run from Network" installation where the product is run from the shared network resource. The Run from Network model runs Reflection on the local PC by installation of the product directly from an Administrative Installation. In this instance, the minimal files and registry settings are installed on the local PC for the purpose of running Reflection.


Installing Reflection using Systems Management Server

Installing Reflection

Installing Reflection Using Systems Management Server

This topic describes how to use Microsoft's Systems Management Server (SMS) to deploy your Reflection product to machines running Microsoft Windows. It is intended for use by system administrators who are experienced in working with Microsoft's SMS. For more information on using SMS, see the Microsoft SMS Administrator's Guide.

Required Version of Microsoft Windows Installer

For the purposes of this help topic it is assumed that you and your end users have already installed Microsoft's Windows Installer software. If this service has not yet been installed, or any machine to which Reflection will be installed is using a version earlier than version 2.0, these machines must be updated before deploying Reflection via SMS.
Note: Version 3.0 of the Microsoft Windows Installer service is included in the \Reflection\MSI folder on your Reflection product CD.

Installing Reflection Using SMS

To install Reflection using SMS, follow the instructions below. Remember to update all machines to which Reflection will be installed with version 2.0 or higher of the MSI service. Also, if you would like to customize Reflection prior to installing the product using SMS, use Reflection Customization Manager to do this. Finally, for more information on working with SMS, consult your Microsoft product documentation.

To install Reflection using Systems Management Server:

1 Perform an Administrative installation to your SMS site server. This will serve as the administrative installation point for deployment.

Note: The Package Definition File (*.sms) is created "on the fly" at the time of the administrative installation and can be found at the root folder at the administrative installation point. As an example, if you are creating an administrative installation of Reflection Suite for X the file "Sx130ilc.sms" is created at the root folder. Alternatively, you can reference the msi file directly; consult the SMS documentation for more information. Reflection does not provide support for SMS version 1.2.

2 You have the option of using Reflection Customization Manager to customize the Reflection installation package (*.msi). The transform file (*.mst) containing the customizations is generated using this utility.

3 Use the Reflection Package Definition File (*.sms) to create the Reflection installation package. If you used the Customization Manager utility to create a Windows Installer transform (*.mst) file, add the file to the program in the Reflection installation package in SMS by editing the Command line on the Properties tab. For example, on the Properties tab of the Typical Installation Program, the command line for the Suite for X product using a transform named "shipdept.mst" would read:

"msiexec /i sx130ilc.msi TRANSFORMS="shipdept.mst"

4 Advertise the installation packages to your users. Again, be sure to distribute the MSI service 2.0 or higher prior to installation of Reflection.